local light_on = true

function love.load()
    require("src.gameStart")
    gameStart()
    camera:zoom(scale)
end

function love.update(dt)
    world:update(dt)
    gameMap:update(dt)
    lightWorld:Update()
    player:update(dt)
    walls:update(dt)

    local dx,dy = player.x - camera.x, player.y - camera.y
    camera:move(dx/2, dy/2)
end

function love.draw()
    camera:attach()
        love.graphics.setColor(1, 1, 1)
        gameMap:drawTileLayer("Ground")
        gameMap:drawTileLayer("wall")
        player:draw()
        if light_on then lightWorld:Draw() end
    camera:detach()
end

function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
    end

    if key == "t" then
        light_on = not light_on
    end
end