--https://github.com/challacade/legend-of-lua/blob/main/src/player.lua

player = world:newBSGRectangleCollider(0, 0, 30, 30, 3)
player:setFixedRotation(true)
player.x = 0
player.y = 0
player.speed = 80
player.baseDamping = 12
player.state = 0
player.torch = 500
player.light = Light:new(lightWorld, player.torch)

player:setCollisionClass("Player")
player:setFixedRotation(true)
player:setLinearDamping(player.baseDamping)

player.sprite = love.graphics.newImage("human_m.png")
player.w = player.sprite:getWidth()
player.h = player.sprite:getHeight()

player.buffer = {}

function player:update(dt)
    if player.state == -1 or gamestate == 0 then return end

    if player.state == 0 then
        player:setLinearDamping(player.baseDamping)

        local dirX = 0
        local dirY = 0

        if love.keyboard.isDown({"up", "w"}) then
            dirY = -1
        elseif love.keyboard.isDown({"down", "s"}) then
            dirY = 1
        end

        if love.keyboard.isDown({"left", "a"}) then
            dirX = -1
        elseif love.keyboard.isDown({"right", "d"}) then
            dirX = 1
        end

        local vec = vector(dirX, dirY):normalized() * player.speed

        if vec.x ~= 0 or vec.y ~= 0 then
            player:setLinearVelocity(vec.x, vec.y)
        end

        player.x, player.y = player:getPosition()

        -- if love.keyboard.isDown("t") then
        --     player.torch = 500
        -- end

        -- if player.torch >= 75 and player.torch <= 500 then
        --     player.torch = player.torch - 0.1
        -- end

        local cx, cy = camera:cameraCoords(player.x, player.y)
        player.light:SetPosition(cx, cy, 1)
        player.light:SetRadius(player.torch)
    end
end

function player:draw()
    love.graphics.draw(player.sprite, player.x, player.y, 0, 1, 1, player.w/2, player.h/2)
end

function player:teleport(x, y)
    player:setPosition(x-16, y+16)
end