walls = {}

function spawnWall(x, y, width, height, name, parent)

    local wall = world:newRectangleCollider(x, y, width, height, {collision_class = "Wall"})
    wall:setType('static')
    wall.dead = false
    wall.offY = 0
    wall.name = name
    wall.parent = parent
    wall.width = width
    wall.height = height

    wall.lightBody = Body:new(lightWorld)
    local cx, cy = camera:cameraCoords(x, y)
    wall.lightBody:SetPosition(cx, cy, 1.3)

    wall.polygonShadow = PolygonShadow:new(wall.lightBody, -width, -height, width, -height, width, height, -width, height)

    table.insert(walls, wall)

end

function walls:update(dt)

    local i = #walls
    while i > 0 do
        local wall = walls[i]

        if wall.dead then
            wall:destroy()
            table.remove(walls, i)
        end

        local cx, cy = camera:cameraCoords(wall:getPosition())
        wall.lightBody:SetPosition(math.floor(cx), math.floor(cy), 1)

        i = i - 1
    end
end
